Bug 1283426 - [abrt] libreoffice-core: gdk_x11_screen_get_screen_number(): soffice.bin killed by SIGSEGV
[abrt] libreoffice-core: gdk_x11_screen_get_screen_number(): soffice.bin kill...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:423621fcb6f9719e0ad62113d92...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 18:02 EST by Francesco Frassinelli (frafra)
Modified: 2015-11-30 16:19 EST (History)
8 users (show)

See Also:
Fixed In Version: libreoffice-5.0.3.2-7.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-30 16:19:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (94.94 KB, text/plain)
2015-11-18 18:03 EST, Francesco Frassinelli (frafra)
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-18 18:03 EST, Francesco Frassinelli (frafra)
no flags Details
File: core_backtrace (31.76 KB, text/plain)
2015-11-18 18:03 EST, Francesco Frassinelli (frafra)
no flags Details
File: dso_list (30.68 KB, text/plain)
2015-11-18 18:03 EST, Francesco Frassinelli (frafra)
no flags Details
File: environ (3.69 KB, text/plain)
2015-11-18 18:03 EST, Francesco Frassinelli (frafra)
no flags Details
File: exploitable (93 bytes, text/plain)
2015-11-18 18:03 EST, Francesco Frassinelli (frafra)
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-18 18:03 EST, Francesco Frassinelli (frafra)
no flags Details
File: maps (136.05 KB, text/plain)
2015-11-18 18:03 EST, Francesco Frassinelli (frafra)
no flags Details
File: mountinfo (3.61 KB, text/plain)
2015-11-18 18:03 EST, Francesco Frassinelli (frafra)
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-18 18:03 EST, Francesco Frassinelli (frafra)
no flags Details
File: open_fds (3.79 KB, text/plain)
2015-11-18 18:03 EST, Francesco Frassinelli (frafra)
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-11-18 18:03 EST, Francesco Frassinelli (frafra)
no flags Details
File: var_log_messages (324 bytes, text/plain)
2015-11-18 18:03 EST, Francesco Frassinelli (frafra)
no flags Details

  None (edit)
Description Francesco Frassinelli (frafra) 2015-11-18 18:02:58 EST
Description of problem:
I was trying to change background.
https://help.libreoffice.org/Impress/Changing_the_Slide_Background_Fill#To_use_an_image_for_the_slide_background

Version-Release number of selected component:
libreoffice-core-5.0.3.2-4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin f23_releaseparty.odp --splash-pipe=5
crash_function: gdk_x11_screen_get_screen_number
executable:     /usr/lib64/libreoffice/program/soffice.bin
global_pid:     28542
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gdk_x11_screen_get_screen_number at gdkscreen-x11.c:607
 #1 GtkSalGraphics::GtkSalGraphics at /usr/src/debug/libreoffice-5.0.3.2/vcl/unx/gtk/gdi/salnativewidgets-gtk.cxx:68
 #2 GtkInstance::CreateVirtualDevice at /usr/src/debug/libreoffice-5.0.3.2/vcl/unx/gtk/app/gtkinst.cxx:334
 #3 VirtualDevice::InnerImplSetOutputSizePixel at /usr/src/debug/libreoffice-5.0.3.2/vcl/source/gdi/virdev.cxx:341
 #4 VirtualDevice::ImplSetOutputSizePixel at /usr/src/debug/libreoffice-5.0.3.2/vcl/source/gdi/virdev.cxx:398
 #5 VirtualDevice::SetOutputSizePixel at /usr/src/debug/libreoffice-5.0.3.2/vcl/source/gdi/virdev.cxx:446
 #6 (anonymous namespace)::VDevBuffer::alloc at /usr/src/debug/libreoffice-5.0.3.2/drawinglayer/source/processor2d/vclhelperbufferdevice.cxx:158
 #7 drawinglayer::impBufferDevice::impBufferDevice at /usr/src/debug/libreoffice-5.0.3.2/drawinglayer/source/processor2d/vclhelperbufferdevice.cxx:248
 #8 drawinglayer::processor2d::VclProcessor2D::RenderMaskPrimitive2DPixel at /usr/src/debug/libreoffice-5.0.3.2/drawinglayer/source/processor2d/vclprocessor2d.cxx:877
 #9 drawinglayer::processor2d::VclPixelProcessor2D::processBasePrimitive2D at /usr/src/debug/libreoffice-5.0.3.2/drawinglayer/source/processor2d/vclpixelprocessor2d.cxx:856
Comment 1 Francesco Frassinelli (frafra) 2015-11-18 18:03:06 EST
Created attachment 1096376 [details]
File: backtrace
Comment 2 Francesco Frassinelli (frafra) 2015-11-18 18:03:08 EST
Created attachment 1096377 [details]
File: cgroup
Comment 3 Francesco Frassinelli (frafra) 2015-11-18 18:03:10 EST
Created attachment 1096378 [details]
File: core_backtrace
Comment 4 Francesco Frassinelli (frafra) 2015-11-18 18:03:12 EST
Created attachment 1096379 [details]
File: dso_list
Comment 5 Francesco Frassinelli (frafra) 2015-11-18 18:03:14 EST
Created attachment 1096380 [details]
File: environ
Comment 6 Francesco Frassinelli (frafra) 2015-11-18 18:03:16 EST
Created attachment 1096381 [details]
File: exploitable
Comment 7 Francesco Frassinelli (frafra) 2015-11-18 18:03:17 EST
Created attachment 1096382 [details]
File: limits
Comment 8 Francesco Frassinelli (frafra) 2015-11-18 18:03:23 EST
Created attachment 1096383 [details]
File: maps
Comment 9 Francesco Frassinelli (frafra) 2015-11-18 18:03:25 EST
Created attachment 1096384 [details]
File: mountinfo
Comment 10 Francesco Frassinelli (frafra) 2015-11-18 18:03:26 EST
Created attachment 1096385 [details]
File: namespaces
Comment 11 Francesco Frassinelli (frafra) 2015-11-18 18:03:28 EST
Created attachment 1096386 [details]
File: open_fds
Comment 12 Francesco Frassinelli (frafra) 2015-11-18 18:03:30 EST
Created attachment 1096387 [details]
File: proc_pid_status
Comment 13 Francesco Frassinelli (frafra) 2015-11-18 18:03:31 EST
Created attachment 1096388 [details]
File: var_log_messages
Comment 14 Caolan McNamara 2015-11-19 08:08:59 EST
Does it happen every time you try that. Or just sometimes ?
Comment 15 Francesco Frassinelli (frafra) 2015-11-19 08:44:48 EST
I tried a second time after the crash and it worked correctly.
Comment 16 Reverend Homer 2015-11-25 16:33:54 EST
Hi, I am seeing this bug too!

(In reply to Caolan McNamara from comment #14)
> Does it happen every time you try that. Or just sometimes ?

It happens randomly when I changing slide background.
Comment 17 Caolan McNamara 2015-11-26 12:40:41 EST
I can reproduce this sometimes by scrolling up and down a bit through the bitmaps in format page and then ok and ok to the query dialog. I have a plausible fix I'll try out
Comment 18 Fedora Update System 2015-11-29 10:31:34 EST
libreoffice-5.0.3.2-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7f9fa67e1b
Comment 19 Fedora Update System 2015-11-29 18:52:40 EST
libreoffice-5.0.3.2-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libreoffice'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7f9fa67e1b
Comment 20 Fedora Update System 2015-11-30 16:19:48 EST
libreoffice-5.0.3.2-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.